VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Interrupt
        SIGNAL Interrupt_ack
        SIGNAL Clk
        SIGNAL XLXN_6(7:0)
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL XLXN_25(7:0)
        SIGNAL XLXN_26(7:0)
        SIGNAL XLXN_27(7:0)
        SIGNAL Sw(7:0)
        SIGNAL Btn(3:0)
        SIGNAL Ld(7:0)
        SIGNAL An(3:0)
        SIGNAL Segm(1:8)
        SIGNAL VGA_Plug(9:0)
        SIGNAL PS2_clk
        SIGNAL PS2_data
        PORT Input Clk
        PORT Input Sw(7:0)
        PORT Input Btn(3:0)
        PORT Output Ld(7:0)
        PORT Output An(3:0)
        PORT Output Segm(1:8)
        PORT Output VGA_Plug(9:0)
        PORT Input PS2_clk
        PORT Input PS2_data
        BEGIN BLOCKDEF PicoBlaze_System1
            TIMESTAMP 2007 11 14 13 55 17
            RECTANGLE N 64 -396 368 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -368 0 -368 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
            LINE N 368 -368 432 -368 
            LINE N 368 -304 432 -304 
            LINE N 64 -192 0 -192 
            LINE N 368 -192 432 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF Timer
            TIMESTAMP 2008 11 11 10 53 16
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            RECTANGLE N 64 -128 320 64 
        END BLOCKDEF
        BEGIN BLOCKDEF IO_Module2
            TIMESTAMP 2008 11 26 20 47 23
            LINE N 64 288 0 288 
            LINE N 64 352 0 352 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 368 -300 432 -276 
            LINE N 368 -288 432 -288 
            RECTANGLE N 368 -236 432 -212 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -172 432 -148 
            LINE N 368 -160 432 -160 
            RECTANGLE N 368 148 432 172 
            LINE N 368 160 432 160 
            RECTANGLE N 368 212 432 236 
            LINE N 368 224 432 224 
            RECTANGLE N 368 84 432 108 
            LINE N 368 96 432 96 
            RECTANGLE N 0 84 64 108 
            LINE N 64 96 0 96 
            RECTANGLE N 0 148 64 172 
            LINE N 64 160 0 160 
            RECTANGLE N 0 -156 64 -132 
            LINE N 64 -144 0 -144 
            RECTANGLE N 0 -92 64 -68 
            LINE N 64 -80 0 -80 
            RECTANGLE N 64 -448 368 384 
        END BLOCKDEF
        BEGIN BLOCK U1 PicoBlaze_System1
            PIN in_port(7:0) XLXN_6(7:0)
            PIN Clk Clk
            PIN port_id(7:0) XLXN_25(7:0)
            PIN out_port(7:0) XLXN_26(7:0)
            PIN write_strobe XLXN_10
            PIN read_strobe XLXN_11
            PIN interrupt Interrupt
            PIN interrupt_ack Interrupt_ack
        END BLOCK
        BEGIN BLOCK U2 Timer
            PIN Clk Clk
            PIN interrupt_ack Interrupt_ack
            PIN interrupt Interrupt
            PIN T_Scale(7:0) XLXN_27(7:0)
        END BLOCK
        BEGIN BLOCK U3 IO_Module2
            PIN Clk Clk
            PIN Write_strobe XLXN_10
            PIN Read_strobe XLXN_11
            PIN out_port(7:0) XLXN_26(7:0)
            PIN Port_ID(7:0) XLXN_25(7:0)
            PIN Sw(7:0) Sw(7:0)
            PIN Btn(3:0) Btn(3:0)
            PIN VGA_Plug(9:0) VGA_Plug(9:0)
            PIN in_port(7:0) XLXN_6(7:0)
            PIN Segm(1:8) Segm(1:8)
            PIN An(3:0) An(3:0)
            PIN Led(7:0) Ld(7:0)
            PIN T_Scale(7:0) XLXN_27(7:0)
            PIN PS2_Clk PS2_clk
            PIN PS2_Data PS2_data
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Interrupt_ack
            WIRE 1792 1040 1824 1040
            WIRE 1824 1040 1888 1040
            BEGIN DISPLAY 1824 1040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE U2 928 1136 R0
        END INSTANCE
        BEGIN BRANCH Interrupt_ack
            WIRE 832 1104 928 1104
            BEGIN DISPLAY 832 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 832 1040 896 1040
            WIRE 896 1040 928 1040
            WIRE 896 720 2016 720
            WIRE 2016 720 2016 864
            WIRE 2016 864 2080 864
            WIRE 896 720 896 864
            WIRE 896 864 896 1040
            WIRE 896 864 1360 864
        END BRANCH
        IOMARKER 832 1040 Clk R180 28
        BEGIN BRANCH XLXN_25(7:0)
            WIRE 1792 1136 2080 1136
        END BRANCH
        BEGIN BRANCH XLXN_26(7:0)
            WIRE 1792 1200 2080 1200
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 1792 928 1936 928
            WIRE 1936 928 1936 992
            WIRE 1936 992 2080 992
        END BRANCH
        BEGIN BRANCH XLXN_10
            WIRE 1792 864 1984 864
            WIRE 1984 864 1984 928
            WIRE 1984 928 2080 928
        END BRANCH
        BEGIN BRANCH Interrupt
            WIRE 1312 1040 1360 1040
        END BRANCH
        BEGIN INSTANCE U1 1360 1232 R0
        END INSTANCE
        BEGIN BRANCH XLXN_27(7:0)
            WIRE 848 1168 928 1168
            WIRE 848 1168 848 1744
            WIRE 848 1744 2592 1744
            WIRE 2512 1440 2592 1440
            WIRE 2592 1440 2592 1744
        END BRANCH
        BEGIN INSTANCE U3 2080 1280 R0
        END INSTANCE
        BEGIN BRANCH Sw(7:0)
            WIRE 2000 1376 2080 1376
        END BRANCH
        BEGIN BRANCH Btn(3:0)
            WIRE 2000 1440 2080 1440
        END BRANCH
        IOMARKER 2000 1376 Sw(7:0) R180 28
        IOMARKER 2000 1440 Btn(3:0) R180 28
        BEGIN BRANCH Ld(7:0)
            WIRE 2512 1120 2576 1120
        END BRANCH
        IOMARKER 2576 1120 Ld(7:0) R0 28
        BEGIN BRANCH An(3:0)
            WIRE 2512 1056 2576 1056
        END BRANCH
        IOMARKER 2576 1056 An(3:0) R0 28
        BEGIN BRANCH Segm(1:8)
            WIRE 2512 992 2576 992
        END BRANCH
        IOMARKER 2576 992 Segm(1:8) R0 28
        BEGIN BRANCH VGA_Plug(9:0)
            WIRE 2512 1376 2528 1376
            WIRE 2528 1376 2576 1376
        END BRANCH
        IOMARKER 2576 1376 VGA_Plug(9:0) R0 28
        BEGIN BRANCH XLXN_6(7:0)
            WIRE 1296 1200 1360 1200
            WIRE 1296 1200 1296 1696
            WIRE 1296 1696 2080 1696
            WIRE 2080 1696 2560 1696
            WIRE 2512 1504 2560 1504
            WIRE 2560 1504 2560 1696
        END BRANCH
        BEGIN BRANCH PS2_clk
            WIRE 2016 1568 2080 1568
        END BRANCH
        BEGIN BRANCH PS2_data
            WIRE 2016 1632 2032 1632
            WIRE 2032 1632 2080 1632
        END BRANCH
        IOMARKER 2016 1568 PS2_clk R180 28
        IOMARKER 2016 1632 PS2_data R180 28
        BEGIN DISPLAY 976 612 TEXT "PicoBlaze System with VGA and Keyboard interface"
            FONT 64 "Arial"
            TEXTCOLOR 0 0 255
        END DISPLAY
    END SHEET
END SCHEMATIC
